
Summary:	The Vorbis General Audio Compression Codec libraries and tools
Name:		vorbis
Version:	1.0beta4
Release: 3
Group:		Applications/Multimedia
Copyright:	GPL/BSD
URL:		http://www.xiph.org/
Source:		http://www.xiph.org/ogg/vorbis/download/lib%{name}-%{version}.tar.gz
Source1:		http://www.xiph.org/ogg/vorbis/download/%{name}-tools-%{version}.tar.gz
Source2:		http://www.xiph.org/ogg/vorbis/download/libao-0.6.0.tar.gz
Source5:	vorbis.req
Patch1: 	vorbis-defaultdevice.patch
Patch2:		libvorbis-64bit.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libogg >= 1.0beta4
%define __find_requires %{SOURCE5}

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

The vorbis package contains runtime libraries for use in programs
that support Ogg Voribs, as well as an encoder, a playback tool,
and a comment editor.

%package devel
Summary: 	Development tools for Vorbis applications
Group: 		Development/Libraries
Requires:	libogg-devel >= 1.0beta4
Requires:	vorbis = %{version}

%description devel
The vorbis-devel package contains the header files and documentation
needed to develop applications with Ogg Vorbis.

%prep
%setup -q -n lib%{name}-%{version} -a 1 -a 2
cd vorbis-tools-%{version}
%patch1 -p2 -b .defdev
cd ..
%patch2 -p1 -b .64bit

# bad bad bad
perl -p -i -e "s/-O20 -ffast-math/$RPM_OPT_FLAGS/" configure
  libao-0.6.0/configure

%build
%configure
make

cp AUTHORS COPYING README todo.txt doc

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cd libao-0.6.0
%configure
make

cp CHANGES AUTHORS COPYING README TODO doc

make DESTDIR=$RPM_BUILD_ROOT install

cd ../vorbis-tools-%{version}
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib
%configure --with-ao-prefix=$RPM_BUILD_ROOT/usr \
  --with-vorbis-prefix=$RPM_BUILD_ROOT/usr
make

mkdir doc
cp AUTHORS COPYING README doc

%install
cd vorbis-tools-%{version}
make DESTDIR=$RPM_BUILD_ROOT install

# needed for %doc
cd ..
find . -name CVS -exec rm -rf {} \; || :
find . -name .cvsignore -exec rm -f {} \; || :

mkdir -p docs/libao
cp libao-0.6.0/doc/* docs/libao


%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/README
%doc vorbis-tools-%{version}/doc
%doc vorbis-tools-%{version}/ogg123/ogg123rc-example
/usr/bin/oggenc
/usr/bin/ogg123
/usr/bin/vorbiscomment
%{_mandir}/man1/*
/usr/lib/libao.so.*.*
/usr/lib/libvorbis.so.*.*
/usr/lib/libvorbisfile.so.*.*
/usr/lib/libvorbisenc.so.*.*
/usr/lib/ao/*.so

%files devel
%defattr(-,root,root)
%doc doc/*
%doc docs/*
/usr/include/ao
/usr/include/vorbis
/usr/lib/libao.so
/usr/lib/libvorbis.a
/usr/lib/libvorbis.so
/usr/lib/libvorbisfile.a
/usr/lib/libvorbisfile.so
/usr/lib/libvorbisenc.a
/usr/lib/libvorbisenc.so
/usr/share/aclocal/ao.m4
/usr/share/aclocal/vorbis.m4

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p "/sbin/ldconfig -n /usr/lib"

%postun -p "/sbin/ldconfig -n /usr/lib"

%changelog
* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
